package krpc

import (
	"fmt"
	"sync"

	"krwu.top/krpc.v1/codec"
)

func (s *Server) sendResponse(cc codec.Codec, h *codec.Header, body interface{}, sending *sync.Mutex) {
	sending.Lock()
	defer sending.Unlock()

	if err := cc.Write(h, body); err != nil {
		fmt.Println("rpc server: write response error: ", err)
	}

}
